LastActivityHandler Class Referenceabstract

`#include <lastactivityhandler.h>`

## Public Member Functions

virtual | ~LastActivityHandler ()
virtual void | handleLastActivityResult (const JID &jid, long seconds, const std::string &status)=0
virtual void | handleLastActivityError (const JID &jid, StanzaError error)=0

## Detailed Description

This is an virtual interface that, once reimplemented, allows to receive the results of Last-Activity-queries to other entities.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.6

Definition at line 30 of file lastactivityhandler.h.

## Constructor & Destructor Documentation

## ~LastActivityHandler()

virtual ~LastActivityHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 36 of file lastactivityhandler.h.

## Member Function Documentation

## handleLastActivityError()

virtual void handleLastActivityError | ( | const JID & | jid,
|  | StanzaError | error )

pure virtual

This function is called when an error is returned by the queried antity.

Parameters

  jid | The queried entity's address.
  error | The reported error.

## handleLastActivityResult()

virtual void handleLastActivityResult | ( | const JID & | jid,
|  | long | seconds,
|  | const std::string & | status )

pure virtual

This function is called when a positive result of a query arrives.

Parameters

  jid | The JID of the queried contact.
  seconds | The idle time or time of last presence of the contact. (Depends on the JID, check the spec.)
  status | If the contact is offline, this is the last presence status message. May be empty.

The documentation for this class was generated from the following file:

- lastactivityhandler.h